gi-cairo-1.0.17: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Matrix

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype Matrix = Matrix (ManagedPtr Matrix)
- noMatrix :: Maybe Matrix

# Exported types

newtype Matrix Source #

Memory-managed wrapper type.

Constructors

Matrix (ManagedPtr Matrix) |

Instances

BoxedObject Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix Methods boxedType :: Matrix -> IO GType Source #

noMatrix :: Maybe Matrix Source #

A convenience alias for `Nothing` :: `Maybe` `Matrix`.